/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.geronimo.samples.datacdinfo.core;

import java.util.Collection;
import java.util.Date;

import javax.ejb.Remote;

import org.apache.geronimo.samples.datacdinfo.beans.*;
import org.apache.geronimo.samples.datacdinfo.exceptions.*;

@Remote
public interface DataCDInfoRemote {
	public OwnerBean login(String username, String passwd) throws InvalidOwnerException, IncorrectPasswordException;
	public void logout(String username);
	public OwnerBean register(String username, String passwd) throws InvalidOwnerException, InvalidPasswordException;
	public boolean unregister(String username);
	
	public Collection<DataCDBean> listCDs(String ownername);
	public DataCDBean addCD(String ownername, String cdlabel, Integer cdsize, String cddesc, Date cdarchivedate) throws DuplicatedDataCDException, InvalidOwnerException;
	public DataCDBean updateCD(Integer cdid, Integer cdsize, String cddesc, Date cdarchivedate);
	public boolean removeCD(Integer cdid);
	public OwnerBean refreshCDInfo(String ownername);

}
